# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename sauce-tunnel

Name:               nodejs-sauce-tunnel
Version:            2.1.0
Release:            1%{?dist}
Summary:            A wrapper around the Sauce Labs tunnel jar

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/sauce-tunnel
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch

%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

Requires:           npm(chalk)
Requires:           npm(request)

%if 0%{?enable_tests}
BuildRequires:      npm(chalk)
BuildRequires:      npm(request)
%endif


%description
A Node.js wrapper around the Saucelabs tunnel jar.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/
rm -rf vendor/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/sauce-tunnel
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/sauce-tunnel

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
node ./test/sanity
%endif


%files
%doc LICENSE-MIT README.md
%{nodejs_sitelib}/sauce-tunnel/

%changelog
* Tue Nov 25 2014 Ralph Bean <rbean@redhat.com> - 2.1.0-1
- Make Buildrequires conditional.
- Remove the vendor/ dir.
- Specify noarch.

* Tue Jul 08 2014 Ralph Bean <rbean@redhat.com> - 2.0.6-1
- Initial packaging for Fedora.
